commons-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From s...@apache.org
Subject svn commit: r1741989 - /commons/scripts/Nexus2DistDev.sh
Date Mon, 02 May 2016 15:24:26 GMT
Author: sebb
Date: Mon May  2 15:24:26 2016
New Revision: 1741989

URL: http://svn.apache.org/viewvc?rev=1741989&view=rev
Log:
More checks
Optionally create the dist/dev tag

Modified:
    commons/scripts/Nexus2DistDev.sh

Modified: commons/scripts/Nexus2DistDev.sh
URL: http://svn.apache.org/viewvc/commons/scripts/Nexus2DistDev.sh?rev=1741989&r1=1741988&r2=1741989&view=diff
==============================================================================
--- commons/scripts/Nexus2DistDev.sh (original)
+++ commons/scripts/Nexus2DistDev.sh Mon May  2 15:24:26 2016
@@ -95,6 +95,14 @@ then
 
     cd ${TAGS} || exit
 
+    if [ -d ${SVNDIR}-dev-dist/$TAGNAMERC ]
+    then
+        echo "$TAGNAMERC already exists under ${SVNDIR}-dev-dist; is this the correct RC?
"
+        exit 1
+    fi
+
+    read -p "Press [Enter] key to create the files for dist/dev/commons/${SVNDIR}/$TAGNAMERC
from version $VER "
+
     svn co --depth immediates https://dist.apache.org/repos/dist/dev/commons/${SVNDIR}/ ${SVNDIR}-dev-dist
|| exit
 
     cd  ${SVNDIR}-dev-dist || exit
@@ -104,13 +112,13 @@ then
     svn add $TAGNAMERC || exit
 
     cd $TAGNAMERC || exit
+    TAGDIR=$PWD
 
     if [ -r $STARTDIR/RELEASE-NOTES.txt ]
     then
         cp $STARTDIR/RELEASE-NOTES.txt .
         svn add RELEASE-NOTES.txt
     fi
-
 fi
 
 handle() {
@@ -118,7 +126,7 @@ handle() {
     if [ "$PASS" == '' ]
     then
          echo Getting ${AID}-${VER}-$1$2
-         wget -nv -q $FILE || { echo Failed to download $FILE; exit 1; }
+         wget -nv -q $FILE || { echo Failed to download $FILE; return 1; }
          if [ "$2" == ".asc" ]
          then
              gpg --verify ${AID}-${VER}-$1$2 ${AID}-${VER}-$1 || exit
@@ -139,3 +147,12 @@ do
         done
     done
 done
+
+if [ "$PASS" == '' ]
+then
+
+    read -p "Press [Enter] key to create the tag dist/dev/commons/${SVNDIR}/$TAGNAMERC from
$TAGDIR "
+    svn ci -m"Creating tag $TAGNAMERC" $TAGDIR
+fi
+
+echo "All done"
\ No newline at end of file



Mime
View raw message